%global desc IPython features (tab completion, syntax highlighting, better tracebacks,\
better introspection) right in pdb.
%global srcname ipdb
%global sum IPython enabled Python debugger


Name:           python-ipdb
Version:        0.12
Release:        1%{?dist}
BuildArch:      noarch

License:        BSD
Summary:        IPython enabled Python debugger
URL:            https://github.com/gotcha/%{srcname}/
Source0:        https://github.com/gotcha/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-ipython
BuildRequires:  python3-setuptools


%description
%{desc}


%package -n python3-%{srcname}
Summary:        IPython enabled Python debugger

Requires:       python3-ipython
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-ipdb
%{desc}


%prep
%setup -q -n %{srcname}-%{version}
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{srcname}
%doc HISTORY.txt README.rst
%license COPYING.txt
%{python3_sitelib}/ipdb/
%{python3_sitelib}/ipdb-%{version}*.egg-info/
%{_bindir}/ipdb3


%changelog
* Thu Apr 04 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.12-1
- Update to 0.12 (#1690864).
- https://github.com/gotcha/ipdb/blob/0.12/HISTORY.txt

* Sun Feb 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.11-5
- Drop Python 2 subpackage

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.11-2
- Rebuilt for Python 3.7

* Tue Feb 20 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.11-1
- Update to 0.11 (#1546586).
- https://github.com/gotcha/ipdb/blob/0.1/HISTORY.txt

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 19 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.10.2-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
